# cpl_core.environment package

## Submodules

## cpl_core.environment.application_environment module

class cpl_core.environment.application_environment.ApplicationEnvironment(name: EnvironmentNameEnum = EnvironmentNameEnum.production)

  Bases: `ApplicationEnvironmentABC`

  Represents environment of the application

  Parameter:

    name: `cpl_core.environment.environment_name_enum.EnvironmentNameEnum`

  property application_name: str
  property customer: str
  property date_time_now: datetime
  property end_time: datetime
  property environment_name: str
  property host_name
  property runtime_directory: str
  set_runtime_directory(runtime_directory: str)

    Sets the current runtime directory

    Parameter:
      runtime_directory: `str`

        Path of the runtime directory

  set_working_directory(working_directory: str)

    Sets the current working directory

    Parameter:
      working_directory: `str`

        Path of the current working directory

  property start_time: datetime
  property working_directory: str

## cpl_core.environment.application_environment_abc module

class cpl_core.environment.application_environment_abc.ApplicationEnvironmentABC

  Bases: `ABC`

  ABC of the class `cpl_core.environment.application_environment.ApplicationEnvironment`

  abstract property application_name: str
  abstract property customer: str
  abstract property date_time_now: datetime
  abstract property end_time
  abstract property environment_name: str
  abstract property host_name: str
  abstract property runtime_directory: str
  abstract set_runtime_directory(runtime_directory: str)

    Sets the current runtime directory

    Parameter:
      runtime_directory: `str`

        Path of the runtime directory

  abstract set_working_directory(working_directory: str)

    Sets the current working directory

    Parameter:
      working_directory: `str`

        Path of the current working directory

  abstract property start_time: datetime
  abstract property working_directory: str

## cpl_core.environment.environment_name_enum module

class cpl_core.environment.environment_name_enum.EnvironmentNameEnum(value)

  Bases: `Enum`

  An enumeration.

  development = 'development'
  production = 'production'
  staging = 'staging'
  testing = 'testing'

## Module contents

### cpl-core CPL core

CPL core package

copyright

  3. 2020 - 2023 sh-edraft.de

license

  MIT, see LICENSE for more details.

class cpl_core.environment.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1